Package javax.mail.internet

## Class InternetHeaders.InternetHeader

- java.lang.Object
- - javax.mail.Header
  - - javax.mail.internet.InternetHeaders.InternetHeader

Enclosing class:
  InternetHeaders

    protected static final class InternetHeaders.InternetHeader
    extends Header

An individual internet header. This class is only used by subclasses of InternetHeaders.

An InternetHeader object with a null value is used as a placeholder for headers of that name, to preserve the order of headers. A placeholder InternetHeader object with a name of ":" marks the location in the list of headers where new headers are added by default.

Since:
  JavaMail 1.4

### Field Summary

### Fields inherited from class javax.mail.Header

`name, value`

### Constructor Summary

Constructors
`InternetHeader​(String l)` Constructor that takes a line and splits out the header name.
`InternetHeader​(String n, String v)` Constructor that takes a header name and value.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getValue​()` Return the "value" part of the header line.

### Methods inherited from class javax.mail.Header

`getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InternetHeader

    public InternetHeader​(String l)

Constructor that takes a line and splits out the header name.

Parameters:
  `l` - the header line

#### InternetHeader

    public InternetHeader​(String n,
                          String v)

Constructor that takes a header name and value.

Parameters:
  `n` - the name of the header
  `v` - the value of the header

### Method Detail

#### getValue

    public String getValue​()

Return the "value" part of the header line.

Overrides:
  `getValue` in class `Header`
Returns:
  value of the header